## com.trilead.ssh2.transport
Class ClientServerHello

    java.lang.Object
      com.trilead.ssh2.transport.ClientServerHello

    public class ClientServerHello

extends java.lang.Object

ClientServerHello.

Constructor Summary
`ClientServerHello(java.io.InputStream bi, java.io.OutputStream bo)`

Method Summary
`byte[]` `getClientString()`
`byte[]` `getServerString()`
`static int` `readLineRN(java.io.InputStream is, byte[] buffer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientServerHello

    public ClientServerHello(java.io.InputStream bi,
                             java.io.OutputStream bo)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### readLineRN

    public static final int readLineRN(java.io.InputStream is,
                                       byte[] buffer)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getClientString

    public byte[] getClientString()

  Returns:
    Returns the client_versioncomment.

### getServerString

    public byte[] getServerString()

  Returns:
    Returns the server_versioncomment.